## org.codehaus.groovy.grails.web.mapping.filter
Class UrlMappingsFilter

    java.lang.Object
      org.springframework.web.filter.GenericFilterBean
          org.springframework.web.filter.OncePerRequestFilter
              org.codehaus.groovy.grails.web.mapping.filter.UrlMappingsFilter

All Implemented Interfaces:
  Filter, BeanNameAware, DisposableBean, InitializingBean, ServletContextAware

    public class UrlMappingsFilter

extends OncePerRequestFilter

A Servlet filter that uses the Grails UrlMappings to match and forward requests to a relevant controller and action

Since:
  0.5

  Created: Mar 6, 2007 Time: 7:58:19 AM
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.springframework.web.filter.OncePerRequestFilter
`ALREADY_FILTERED_SUFFIX`

Fields inherited from class org.springframework.web.filter.GenericFilterBean
`logger`

Constructor Summary
`UrlMappingsFilter()`

Method Summary
`protected void` `doFilterInternal(HttpServletRequest request, HttpServletResponse response, FilterChain filterChain)`
`protected void` `initFilterBean()`

Methods inherited from class org.springframework.web.filter.OncePerRequestFilter
`doFilter, getAlreadyFilteredAttributeName, shouldNotFilter`

Methods inherited from class org.springframework.web.filter.GenericFilterBean
`addRequiredProperty, afterPropertiesSet, destroy, getFilterConfig, getFilterName, getServletContext, init, initBeanWrapper, setBeanName, setServletContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlMappingsFilter

    public UrlMappingsFilter()

Method Detail

### initFilterBean

    protected void initFilterBean()
                           throws ServletException

  Overrides:
    `initFilterBean` in class `GenericFilterBean`
  Throws:
    `ServletException`

### doFilterInternal

    protected void doFilterInternal(HttpServletRequest request,
                                    HttpServletResponse response,
                                    FilterChain filterChain)
                             throws ServletException,
                                    IOException

  Specified by:
    `doFilterInternal` in class `OncePerRequestFilter`
  Throws:
    `ServletException`
    `IOException`

Copyright (c) 2005-2006 The Grails project